#!/usr/bin/perl

use PNGgraph::pie;
use PNGgraph::bars;


@data = (
    [ "1st","2nd","3rd","4th"],
    [    1,    2,    5,  4],
    [    1,    2,    5,  4 ]
);


my $my_graph = new PNGgraph::pie( );

$my_graph->set(
        x_label           => 'X Label',
        y_label           => 'Y label',
        title             => 'Some simple graph',
        y_max_value       => 8,
        y_tick_number     => 8,
        y_label_skip      => 2
    );


$my_graph->plot_to_png( "sample01.png", \@data );


my $bar = new PNGgraph::bars( );

$bar->set(           
        x_label           => 'X Label',
        y_label           => 'Y label',
        title             => 'Some simple graph',
        y_max_value       => 8,
        y_tick_number     => 8,
        y_label_skip      => 2
    );


$bar->plot_to_png( "sample02.png", \@data );


