#!/usr/bin/perl
#
# Purpose: this script is used to redirect
#          users who enter a URL that points to
#          directories without index.html page.
# Listing 18-1:	

use CGI qw(:standard);

# Set the automatically redirect URL
my $AUTO_REDIRECT_URL = '/';

# Get the current URL path
my $curDir = $ENV{REQUEST_URI};

# If the current URL path is not home page (/) then
# redirect user to home page
if ($curDir ne '/'){
   print redirect($AUTO_REDIRECT_URL);

# If the home page is also missing the index page,
# we can't redirect back to home page (to avoid
# recursive redirection), so display an error message.
} else {
   print header;
   print "HOME PAGE NOT FOUND!";
}

exit 0;
